=== debian/control ===
Source: libglushim
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), cmake, libglshim-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: libglushim
Architecture: any
Depends: ${shlibs:Depends}
Description: GLU for GL to GLES

Package: libglushim-dev
Architecture: any
Depends: ${shlibs:Depends}, libglushim
Description: GLU for GL to GLES
